Skip to main content
GET
/
api2
/
v1
/
lqa
/
profiles
/
{profileUid}
Get LQA profile details
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/lqa/profiles/{profileUid} \
  --header 'Authorization: <api-key>'
{
  "uid": "string",
  "name": "<string>",
  "errorCategories": {
    "accuracy": {
      "accuracy": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "addition": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "omission": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "mistranslation": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "underTranslation": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "untranslated": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "improperTmMatch": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "overTranslation": {
        "enabled": true,
        "weight": 1,
        "code": 123
      }
    },
    "fluency": {
      "fluency": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "punctuation": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "spelling": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "grammar": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "grammaticalRegister": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "inconsistency": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "crossReference": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "characterEncoding": {
        "enabled": true,
        "weight": 1,
        "code": 123
      }
    },
    "terminology": {
      "terminology": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "inconsistentWithTb": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "inconsistentUseOfTerminology": {
        "enabled": true,
        "weight": 1,
        "code": 123
      }
    },
    "style": {
      "style": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "awkward": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "companyStyle": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "inconsistentStyle": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "thirdPartyStyle": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "unidiomatic": {
        "enabled": true,
        "weight": 1,
        "code": 123
      }
    },
    "localeConvention": {
      "localeConvention": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "addressFormat": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "dateFormat": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "currencyFormat": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "measurementFormat": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "shortcutKey": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "telephoneFormat": {
        "enabled": true,
        "weight": 1,
        "code": 123
      }
    },
    "verity": {
      "verity": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "cultureSpecificReference": {
        "enabled": true,
        "weight": 1,
        "code": 123
      }
    },
    "design": {
      "design": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "length": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "localFormatting": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "markup": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "missingText": {
        "enabled": true,
        "weight": 1,
        "code": 123
      },
      "truncation": {
        "enabled": true,
        "weight": 1,
        "code": 123
      }
    },
    "other": {
      "other": {
        "enabled": true,
        "weight": 1,
        "code": 123
      }
    }
  },
  "penaltyPoints": {
    "neutral": {
      "code": 123,
      "value": 123
    },
    "minor": {
      "code": 123,
      "value": 123
    },
    "major": {
      "code": 123,
      "value": 123
    },
    "critical": {
      "code": 123,
      "value": 123
    }
  },
  "passFailThreshold": {
    "minScorePercentage": 99
  },
  "isDefault": true,
  "createdBy": {
    "firstName": "<string>",
    "lastName": "<string>",
    "userName": "<string>",
    "email": "<string>",
    "role": "SYS_ADMIN",
    "id": "<string>",
    "uid": "<string>"
  },
  "dateCreated": "2023-11-07T05:31:56Z",
  "organization": {
    "uid": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

profileUid
string
required

Response

successful operation

uid
string
required

UID of the profile

Example:

"string"

name
string
required

Name of the profile

errorCategories
object
required

Error categories and their importance weight. If not provided, defaults will be created.

penaltyPoints
object
required

Penalty points for each severity level. By default neutral is 0, minor is 1, major is 5, critical is 10.

passFailThreshold
object
required
isDefault
boolean
required

If profile is set as default for organization

createdBy
object
required
dateCreated
string<date-time>
required
organization
object
required